Package chatapp.Model

# Class Utilisateur

java.lang.Object
chatapp.Model.Utilisateur

    public class Utilisateur
    extends java.lang.Object

Classe representant un Utilisateur.
Un Utilisateur est associé avec :
- un pseudo,
- un numéro de port,
- une addresse IP
- un ID.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Utilisateur​(java.lang.String pseudo, java.lang.Integer port, java.net.InetAddress ip)` | Constructeur : Utilisateur

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Boolean` | `equals​(Utilisateur u)` | Méthode permettant de comparer deux utilisateurs entre eux grace à leur ID.
`java.lang.String` | `getId()` | Getter ID
`java.net.InetAddress` | `getIp()` | Getter IP
`java.lang.Integer` | `getPort()` | Getter Port
`java.lang.String` | `getPseudo()` | Getter Pseudo
`void` | `setPort​(java.lang.Integer port)` | Setter Port
`void` | `setPseudo​(java.lang.String pseudo)` | Setter Pseudo
`static Utilisateur` | `stringToUtilisateur​(java.lang.String s)` | Méthode permettant de convertir un string en Utilisateur
`java.lang.String` | `toString()` | Méthode permettant de convertir un objet Utilisateur en String Format du string : pseudo ___ | port ___ | ip ___ | id ___ | ( '___' sont à remplacer par les valeurs réels)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Utilisateur

public Utilisateur​(java.lang.String pseudo, java.lang.Integer port, java.net.InetAddress ip)
Constructeur : Utilisateur

Parameters:
  `pseudo` - Le pseudo associé
  `port` - Le port
  `ip` - L'adresse IP

## Method Details

### getPseudo

public java.lang.String getPseudo()
Getter Pseudo

Returns:
  Le pseudo de l'utilisateur

### setPseudo

public void setPseudo​(java.lang.String pseudo)
Setter Pseudo

Parameters:
  `pseudo` - Le nouveau pseudo que l'on souhaite

### getPort

public java.lang.Integer getPort()
Getter Port

Returns:
  Le numéro de port de l'utilisateur

### setPort

public void setPort​(java.lang.Integer port)
Setter Port

Parameters:
  `port` - Le nouveau numéro de port

### getIp

public java.net.InetAddress getIp()
Getter IP

Returns:
  L'adresse IP de l'utilisateur

### getId

public java.lang.String getId()
Getter ID

Returns:
  L'ID de l'utilisateur

### toString

public java.lang.String toString()
Méthode permettant de convertir un objet Utilisateur en String
Format du string :
pseudo ___ | port ___ | ip ___ | id ___ | ( '___' sont à remplacer par les valeurs réels)

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  L'utilisateur sous forme de String

### stringToUtilisateur

public static Utilisateur stringToUtilisateur​(java.lang.String s)
Méthode permettant de convertir un string en Utilisateur

Parameters:
  `s` - Le paramètre String a transformé
Returns:
  Un utilisateur

### equals

public java.lang.Boolean equals​(Utilisateur u)
Méthode permettant de comparer deux utilisateurs entre eux grace à leur ID.

Parameters:
  `u` - L'utilisateur avec lequel on veut être comparer.
Returns:
  True si ils ont le même ID, False sinon.